# GimpUi.prop_color_area_new

    function prop_color_area_new(config: GObject.Object, property_name: String, width: Number(gint), height: Number(gint), type: GimpUi.ColorAreaType): Gtk.Widget {
        // Gjs wrapper for gimp_prop_color_area_new()
    }

Creates a GimpUi.ColorArea to set and display the value of an RGB property.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of %GeglColor property.

width

  Width of color area.

height

  Height of color area.

type

  How transparency is represented.

Returns

  A new GimpUi.ColorArea widget.